2009-01-16 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: Apply grub-0.97-141.1-ext4.patch
	* grub-0.97-141.1-ext4.patch: Added patch from
	  http://lists.openwall.net/linux-ext4/2008/11/19/8 to support ext4 root partitions

2008-08-09 Thomas Orgis <sobukus@sourcemage.org>
	* grub-0.97-ext2_256byte_inode.patch, PRE_BUILD, DETAILS:
	  Add patch to make grub work again with newer ext3 fs (bigger inodes).

2007-03-15 George Sherwood <george@beernabeer.com>
	* CONFIGURE: Add query to use graphical boot screen. Bug #12852
	* PRE_BUILD: Added if statement to check if user wants to 
	  apply graphics patch

2007-03-03 Jeremy Blosser <jblosser-smgl@firinn.org>
	* INSTALL: Replace bad TRACK_ROOT usage (automated).

2006-12-20 Pol Vinogradov <vin.public@gmail.com>
	* PRE_BUILD, configure.ac.patch: added a patch to get rid of
	  automake-1.9, works with automake now
	* DEPENDS: switched to automake, no need in gcc34, builds fine with
	  gcc 4.1.1
	* DETAILS: removed GCC_VERSION, UPDATED, added PATCHLEVEL
	* BUILD: using automake now, install_rootifying, removed invoke_gcc
	* INSTALL: install and track_rootifying

2006-11-05 Thomas Orgis <sobukus@sourcemage.org>
	* DEPENDS, BUILD: using automake-1.9

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* PROVIDES: [automated] Fixed invalid entries.

2006-02-08 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on smgl-fhs (for directory structure)

2006-02-06 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on gnupg (for SOURCE verification)
	  Removed TABs

2005-12-21 Flavien Bridault <disk@sourcemage.org>
	* CONFIGURE: don't prompt for networks cards if diskless operations
	  are disabled (bug #10223), added warning for reiser4 support

2005-11-29 Seth Woolley <seth@tautology.org>
	* DETAILS: MD5 -> SHA512

2005-08-23 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: Updated to 0.97
	* grub-0.96-nxstack.patch: deleted
	* grub-0.97-nxstack.patch: added
	* grub-0.97-PIC.patch: added
	* grub-0.96-reiser4-20040130.patch: removed
	* grub-0.97-reiser4-20050808.patch: added
	* grub-0.96-graphics-for-reiser4.patch: added, this is the same as
	  grub-0.96-graphics.patch except that I modified stage2/Makefile.am
	  diff to apply successfully after reiser4 patch :-)
	* PRE_BUILD: updated to apply patches, reiser4 no more conflicts
	  with graphics patch
	* CONFIGURE: Removed reiser4 warning

2005-06-17 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* DETAILS : reverted useless BUILD_API=2 change

2005-06-16 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* DETAILS: added BUILD_API=2

2005-05-16 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: Reverted because of an integration that should have not occured.

2005-04-27 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: invoke_gcc is its own command

2005-04-26 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Added GCC_VERSION=3.4
	* DEPENDS: Depend on gcc34
	* BUILD: invoke_gcc before make

2005-04-21 Flavien Bridault <disk@sourcemage.org>
	* CONFIGURE: Default choices changes
	  Corrected a script error thanks to Benoit.

2005-04-03 Flavien Bridault <disk@sourcemage.org>
	* CONFIGURE, FINAL: Moved all queries from FINAL to CONFIGURE
	  FINAL now didn't prompt for anything (bug #8404). menu.lst.skel
	  generation has been simplified has it can't yet call grub in CONFIGURE.
	* PRE_BUILD: Apply new patches
	* grub-0.96-bounced-checks.patch: disable testing of FFS and UFS2
	  images that always fail
	* grub-0.96-i2o-raid.patch: i2o RAID support
	* grub-0.96-nxstack.patch: should fix NX segfaulting on amd64 and
	  x86_64 by Peter Jones. See
	  http://lists.gnu.org/archive/html/bug-grub/2005-03/msg00011.html

2005-03-12 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: Updated to 0.96
	* grub-0.95-endedit.patch,
	  grub-0.90-append.patch, grub-0.94-geometry-26kernel.patch,
	  grub-0.90-symlinkmenulst.patch,grub-0.94-i2o.patch,
	  grub-0.91-splashimagehelp.patch,grub-0.94-initrdmax.patch,
	  grub-0.93-endedit.patch,grub-0.94-installcopyonly.patch,
	  grub-0.93-graphics-bootterm.patch,grub-0.95-graphics.patch,
	  grub-0.93-once.patch,grub-0.95-hiddenmenu-tweak.patch,
	  grub-0.93-special-device-names.patch,grub-0.95-staticcurses.patch,
	  grub-0.94-addsyncs.patch,
	  grub-0.90-append.patch,grub-0.90-symlinkmenulst.patch,
	  grub-0.91-splashimagehelp.patch,grub-0.93-endedit.patch,
	  grub-0.93-graphics-bootterm.patch,grub-0.93-once.patch,
	  grub-0.93-special-device-names.patch,grub-0.94-addsyncs.patch,
	  grub-0.94-geometry-26kernel.patch grub-0.94-initrdmax.patch,
	  grub-0.94-installcopyonly.patch: Removed
	* grub-0.96-graphics.patch,
	  grub-0.96-reiser4-20040130.patch : Added
	* PRE_BUILD: Apply the new patches and do not apply the old ones ;-p

2005-01-14 Flavien Bridault <disk@sourcemage.org>
	* CONFIGURE: Corrected a bug that use partition instead of MBR.
	* CONFIGURE, DEPENDS, PREBUILD, BUILD : included Thomas Houssin changes
	  in order to get reiser4 support. However this is for now exclusive with
	  diskless support, and splash image. :(

2004-12-12 Flavien Bridault <disk@sourcemage.org>
	* FINAL: Use now grub-install instead of all the grub-shell stuff.
	* CONFIGURE: Changed GRUB_TARGET format, now use the /dev format, which
	  should be more convenient.
	* BUILD: Removed "-g" (debug) CFLAGS

2004-12-10 Flavien Bridault <disk@sourcemage.org>
	* FINAL: Replaced all 'query' by 'config_query', corrected a bug in the
	  menu.lst.skel generation.

2004-12-09 Flavien Bridault <disk@sourcemage.org>
	* BUILD: Added automake tools launching, in order to get the splash
	  image working. (Bug #7587)
	* CONFIGURE: Remove last 'query' call, and corrected a bug that would
	  avoid to let the user specify an another GRUB_TARGET than (hd0)

2004-11-09 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Remove SOURCE2 (included in the spell) and SOURCE2_URL
	* BUILD,INSTALL: Move creation of /boot/grub to INSTALL
	* CONFIGURE,BUILD: Use config_query and if/then instead of
	  config_query_option as we don't want to keep appending the answers
	  Somehow fixes a problem where GRUB_ROOT wasn't being remembered
	  (probably from all the config_query_options overwriting OPTS)
	* CONFIGURE: Change default network config to enable all network cards
	* PRE_BUILD: Apply patches here
	  Change to SOURCE_DIRECTORY to apply patches
	  grub-0.95-endedit.patch now uses -p1
	* grub-0.90-append.patch, grub-0.94-geometry-26kernel.patch
	  grub-0.90-symlinkmenulst.patch,grub-0.94-i2o.patch
	  grub-0.91-splashimagehelp.patch,grub-0.94-initrdmax.patch
	  grub-0.93-endedit.patch,grub-0.94-installcopyonly.patch
	  grub-0.93-graphics-bootterm.patch,grub-0.95-graphics.patch
	  grub-0.93-once.patch,grub-0.95-hiddenmenu-tweak.patch
	  grub-0.93-special-device-names.patch,grub-0.95-staticcurses.patch
	  grub-0.94-addsyncs.patch: Added from Bug #7587
	  Thanks to Richard Johns <johnsr1@lincoln.ac.nz> for the patches from
	  Fedora's SRPMS.
	* grub-0.90-append.patch,grub-0.90-symlinkmenulst.patch,
	  grub-0.91-splashimagehelp.patch,grub-0.93-endedit.patch,
	  grub-0.93-graphics-bootterm.patch,grub-0.93-once.patch,
	  grub-0.93-special-device-names.patch,grub-0.94-addsyncs.patch,
	  grub-0.94-geometry-26kernel.patch grub-0.94-initrdmax.patch,
	  grub-0.94-installcopyonly.patch: Updated and renamed to 0.95

2004-06-22 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 0.95
	  BUILD_API=2
	  VOYEUR="on" for FINAL configuration
	* CONFIGURE: Cleaned up to use Sorcery's config_query* options
	* BUILD: Converted to BUILD_API 2
	* INSTALL: Added
	* POST_INSTALL: Renamed to FINAL
	* DEPENDS: Formatted to Guru Handbook
	* BUILD: Compiles cleanly now (no more horrendous 0.94 hack)
	  Splashimage fails to load, though. :(
	  Need to figure out how to get the query in FINAL visable without using
	  VOYEUR="on" globally

2004-05-14 Eric Sandall <sandalle@sourcemage.org>
	* POST_INSTALL: Remove /etc/grub.conf symlink creation (Bug #5817)
	  Remove /etc/grub.conf if it exists as a symlink (for now,
	  remove this check after 1 month)

2004-05-12 Eric Sandall <sandalle@sourcemage.org>
	* PROVIDES: Provides BOOTLOADER (Bug #6428)

2004-03-04 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Add splashimage patch from Gentoo
	* BUILD: Apply splashimage patch
	* PRE_BUILD: Add to check md5sum of patch

2004-03-03 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Added optional dependency on texinfo (for documentation)

2004-02-06 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 0.94
	  Removed MAINTAINER
	  Reorganized SOURCE_URLs
	  Removed SOURCE2
	* grub-0.93-debian.patch.bz2: Debian Patches removed
	* grub.patch.bz2: RedHat patches Removed
	* PRE_BUILD: Removed
	* BUILD: Remove patches
	  Remove "malign" sedits
	  Remove TABs
	* WIP: I need to test a little more (haven't rebooted yet)
	* HISTORY: Formatted to Guru Handbook

2003-09-26 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Now it doesn't fail on OPTS

2003-09-22 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE: Now less verbose if you don't want all the network drivers

2003-09-12 Eric Sandall <sandalle@sourcemage.org>
	* Modified a little more, including some patches
	  with the spell
	* smgl-splash.xpm.gz: Added SMGL splash image (made by me ;))
	* Applied Geoffrey's patches and changes (Bug #4221)

2003-09-01 Geoffrey Derber <gderber@sourcemag.org>
	* grub-0.93-debian.patch.bz2: Thanks to a huge patch from Debian
	  we finally have the grub splashimage working.

2003-08-30 Geoffrey Derber <gderber@sourcemage.org>
	* POST_BUILD: Updated to make it easier for
	  the kernel spell to update the grub.conf file.
	* CONFIGURE: Added tons of options (too many?)
	* BUILD: modified to chmod 750 /sbin/grub* so
	  normal users can not run the apps

2003-06-16 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Added gcc 3.3 patch as SOURCE2 (grub-0.93-type-fix.patch.bz2)
	  (thanks to Wolfgang)

2003-01-16 Geoffrey Derber <gderber@sourcemage.org>
	* Updated patches

2002-12-08 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to v0.93 (all thanks to Geoffrey Derber
	  (gderber@sourcemage.org), along with all the
	  patches
	* HISTORY: Formatted to follow SMGL Standards

2002-08-06 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Edited ./configure to use -falign-* instead of -malign (obsoleted
	  in gcc3)

2002-07-24 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Added another mirror for alpha.gnu.org thanks to the guys on
	  #hurd

2002-07-14 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Added another mirror (thanks to ShdwDrgn) since alpha.gnu.org is
	  down

2002-06-16 Eric Sandall <sandalle@sourcemage.org>
	* POST_INSTALL: Changed "Sorcerer" to "Source Mage" in POST_INSTALL
	  Made "lba32" default on
	  Moved the entries on the default kernel to new lines

2002-06-14 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Added MD5 entry to DETAILS

2002-05-29 Eric Sandall <sandalle@sourcemage.org>
	* USEGCC2: Removed

2002-05-20 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: Added conflict for LILO

2002-04-30 Geoffrey Derber <gderber@sourcemage.org>
	* DETAILS: Version updated to 0.92. md5crypt now works.

2002-04-25 Eric Schabell <eric@schabell.com>
	* DETAILS: Changed maintainer to Goeffrey Derber, due to leaving of
	  Jean-Michel.

2002-03-26 Jean-Michel Smith <jean@kcco.com>
	* added all kinds of warnings to users to have a working rescue diskette
	  handy before attempting to install grub. If and when grub becomes a
	  standard part of the install I'll tone down the messages some.
	  moved cp of /usr/share/grub/i386-pc/*stage* from BUILD to POST_INSTALL
	* This corrects a serious bug during upgrades which causes stage1_5 and
	  stage2 files to get dispelled, making the system unbootable until the
	  next time grub is run and setup again.
	* POST_INSTALL: added some intelligence to to facilitate
	  easier installation and recovery from the above, corrected bug.
	* CONFIGURE: Added to facilitate configuration of some parameters.
	* Note that GRUB_ROOT is configured during POST_INSTALL, as the
	  autodetection scheme requires grub already be installed.

2002-03-25 Jean-Michel Smith <jean@kcco.com>
	* initial review and testing of grub spell for inclusion in grimoire
	* DETAILS: added LICENSE[0] information
	* fixed installation procedure to include copying needed files from
	  /usr/share/grub/i386-pc/*stage* to /boot/grub.
	* fixed installation procedure to put grub in /sbin, not /usr/sbin,
	  to insure it works on those systems that mount /usr separately
	* Work is still needed to make a sensible default menu.lst entry
	  based on the system's own hardware, in a POSTINSTALL script.
	  Work is still needed to make a sensible interface to lilo and grub
	  to allow installation and kernel spells to install/update grub
	  appropriately
	* HISTORY: Added

2002-03-24 Geoffrey Derber <gderber@sourcemage.org>
	* Initial submission of grub spell to SGL-Spell-Submit
	* DETAILS: Listed MAINTAINER as ashaman@flyingtemple.com ... not sure why
	  this is.

